curl --request GET \
--url https://{host}/api/v3/leaves \
--header 'Authorization: <authorization>'{
"data": {
"items": [
{
"id": "<string>",
"date": "2023-12-25",
"isAm": true,
"leaveAccountId": 123,
"leavePeriodId": 123,
"leaveAccount": {
"id": 123,
"name": "<string>"
},
"leavePeriod": {
"id": 123,
"ownerId": 123,
"isConfirmed": true,
"confirmationDate": "2023-11-07T05:31:56Z",
"attachmentId": "<string>",
"leaves": [
{}
],
"logs": [
{
"id": 123,
"date": "2023-11-07T05:31:56Z",
"comment": "<string>",
"status": 0
}
]
},
"value": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"isActive": true,
"cancellationDate": "2023-11-07T05:31:56Z",
"cancellationUserId": null,
"comment": "<string>"
}
]
}
}Retrieve a list of approved leaves for one or several users on a given period.
You MUST filter out results both on a date-range as well as a set of employees through the following query parameters.
In regards to employees filtering, you may:
?leavePeriod.ownerId=5,6,7?leavePeriod.owner.departmentId=3,4,5?leavePeriod.owner.legalEntityId=1,2,3The date query parameter can operate comparisons with a given date value:
?date=2021-01-01: strict equality.?date=since,2021-01-01: greater than or equal.?date=until,2021-01-01: lower than or equal.?date=between,2021-01-01,2021-01-31: comprised between two dates.curl --request GET \
--url https://{host}/api/v3/leaves \
--header 'Authorization: <authorization>'{
"data": {
"items": [
{
"id": "<string>",
"date": "2023-12-25",
"isAm": true,
"leaveAccountId": 123,
"leavePeriodId": 123,
"leaveAccount": {
"id": 123,
"name": "<string>"
},
"leavePeriod": {
"id": 123,
"ownerId": 123,
"isConfirmed": true,
"confirmationDate": "2023-11-07T05:31:56Z",
"attachmentId": "<string>",
"leaves": [
{}
],
"logs": [
{
"id": 123,
"date": "2023-11-07T05:31:56Z",
"comment": "<string>",
"status": 0
}
]
},
"value": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"isActive": true,
"cancellationDate": "2023-11-07T05:31:56Z",
"cancellationUserId": null,
"comment": "<string>"
}
]
}
}API key. Value must be formatted like so: lucca application={api_key}.
{offset},{limit}. Defaults to 0,1000.
"2000,500"
ID of the leave-account the leave must have been taken on.
x >= 1{comparator},{date-time}
"2021-01-01"
"since,2021-01-01"
"until,2021-01-01"
"between,2021-01-01,2021-01-31"
Employee's identifier
x >= 1Employees department identifier
x >= 1Employees establishment (i.e. legal-entity) identifier
x >= 1OK
Show child attributes
Was this page helpful?